Bug 672954 - Review Request: python26-ldap - An object-oriented API to access LDAP directory servers
Summary: Review Request: python26-ldap - An object-oriented API to access LDAP directo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: BJ Dierkes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-26 19:26 UTC by Jeffrey Ness
Modified: 2011-03-10 17:24 UTC (History)
3 users (show)

Fixed In Version: python26-ldap-2.3.12-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 17:24:29 UTC
derks: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey Ness 2011-01-26 19:26:07 UTC
Spec URL: http://flip-edesign.com/source/junk/python26-ldap.spec
SRPM URL: http://flip-edesign.com/source/junk/python26-ldap-2.3.12-1.fc14.src.rpm

Description: python-ldap provides an object-oriented API for working with LDAP within
Python programs.  It allows access to LDAP directory servers by wrapping the 
OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks 
(including processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

===

$ rpmlint SRPMS/python26-ldap-2.3.12-1.fc14.src.rpm 
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 BJ Dierkes 2011-02-22 02:00:34 UTC
Scoring is 'pass', 'fail', or '----' (n/a):


FAILED MUST HAVE's:

[ fail ] MUST: The package must meet the Packaging Guidelines

 * BuildRoot does not match preferred format:
   http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#BuildRoot_tag

[ fail ] MUST: The spec file for the package MUST be legible.

 * The 'rm -rf' line under 'clean up cvs hidden files' should utilize the '\'
   backslash delimiter (more) in order to keep each line under 78 characters.
   

PASSED MUST HAVE'S:   

[ pass ] MUST: rpmlint must be run on every package
[ pass ] MUST: The package must be named according to the Package Naming 
         Guidelines
[ pass ] MUST: The spec file name must match the base package %{name} [...]      
[ pass ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[ pass ] MUST: The License field in the package spec file must match the 
         actual license
[ pass ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[ pass ] MUST: The spec file must be written in American English.
[ pass] ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[ pass ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[ ---- ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[ pass ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[ pass ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[ pass ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[ ---- ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[ pass ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[ pass ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[ pass ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[ pass ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[ pass ] MUST: Each package must consistently use macros.
[ pass ] MUST: The package must contain code, or permissable content.
[ pass ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[ pass ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[ pass ] MUST: Header files must be in a -devel package.
[ pass ] MUST: Static libraries must be in a -static package.
[ pass ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[ pass ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[ pass ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[ pass ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[ pass ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[ pass ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[ pass ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[ pass ] MUST: All filenames in rpm packages must be valid UTF-8.


PASSED SHOULD HAVE'S:

[ ---- ] SHOULD query upstream to include it.
[ ---- ] SHOULD: The description and summary sections in the package spec file
        should contain translations for supported Non-English languages, if
        available.
[ pass ] SHOULD: The reviewer should test that the package builds in mock.
[ pass ] SHOULD: The package should compile and build into binary rpms on all
        supported architectures.
[ pass ] SHOULD: The reviewer should test that the package functions as
        described. A package should not segfault instead of running, for
        example.
[ ---- ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
        vague, and left up to the reviewers judgement to determine sanity.
[ ---- ] SHOULD: Usually, subpackages other than devel should require the base
        package using a fully versioned dependency.
[ ---- ] SHOULD: The placement of pkgconfig(.pc) files depends on their
        usecase, and this is usually for development purposes, so should be
        placed in a -devel pkg. A reasonable exception is that the main pkg
        itself is a devel tool not installed in a user runtime, e.g. gcc or
        gdb.
[ ---- ] SHOULD: If the package has file dependencies outside of /etc, /bin,
        /sbin, /usr/bin, or /usr/sbin consider requiring the package which
        provides the file instead of the file itself.
[ ---- ] SHOULD: your package should contain man pages for binaries/scripts. If
        it doesn't, work with upstream to add them where they make sense.[34]

Comment 2 Jeffrey Ness 2011-02-22 13:12:00 UTC
Thank you for your review BJ, I have made changes to the SPEC to address the failed checks above:

%changelog
* Tue Feb 22 2011 Jeffrey Ness <jeffrey.ness@rackspace.com> - 0:2.3.12-2
- Adding %%{release} to BuildRoot per Fedora guidelines:
  http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#BuildRoot_tag
- Splitting cleanup in %%prep for readability

The new build was successful in mock, see rpmlint below:

$ rpmlint SPECS/python26-ldap.spec 
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
sh: /usr/bin/python2.6: No such file or directory
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/epel-5-x86_64/result/python26-ldap-2.3.12-2.el5.x86_64.rpm 
python26-ldap.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

---

SPEC: http://flip-edesign.com/source/junk/python26-ldap.spec
SRPM: http://flip-edesign.com/source/junk/python26-ldap-2.3.12-2.el5.src.rpm

Comment 3 BJ Dierkes 2011-02-22 18:38:50 UTC
Looks good.  This review is complete.

Comment 4 Jeffrey Ness 2011-02-22 18:52:26 UTC
New Package SCM Request
=======================
Package Name: python26-ldap
Short Description: An object-oriented API to access LDAP directory servers
Owners: jeffreyness derks
Branches: el5

Comment 5 Jason Tibbitts 2011-02-23 01:00:04 UTC
Who did this review?  It should be assigned to that person.  Currently it's
assigned to the person who will own the package, which implies that you've
reviewed your own package.  That's not something we can allow.

Please fix or get a proper review done and re-raise the fedora-cvs flag.

Comment 6 BJ Dierkes 2011-02-23 01:35:26 UTC
That is my mistake, I re-assigned it to the submitter.  It's back assigned to me.

Comment 7 Jason Tibbitts 2011-02-23 15:50:25 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-02-23 16:16:12 UTC
python26-ldap-2.3.12-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-ldap-2.3.12-2.el5

Comment 9 Fedora Update System 2011-02-23 21:52:44 UTC
python26-ldap-2.3.12-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-ldap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-ldap-2.3.12-2.el5

Comment 10 Fedora Update System 2011-03-10 17:24:24 UTC
python26-ldap-2.3.12-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.